QwtPickerTrackerMachine Class Reference

A state machine for indicating mouse movements. More...

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerTrackerMachine:
[legend]

## Public Member Functions

| QwtPickerTrackerMachine ()
| Constructor.
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *)
| Transition.
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
| Constructor.
virtual | ~QwtPickerMachine ()
| Destructor.
void | reset ()
| Set the current state to 0.
int | state () const
| Return the current state.
void | setState (int)
| Change the current state.
SelectionType | selectionType () const
| Return the selection type.

## Additional Inherited Members

Public Types inherited from QwtPickerMachine
enum | SelectionType { NoSelection = -1, PointSelection, RectSelection, PolygonSelection }
enum | Command { Begin, Append, Move, Remove, End }
| Commands - the output of a state machine.

## Detailed Description

A state machine for indicating mouse movements.

QwtPickerTrackerMachine supports displaying information corresponding to mouse movements, but is not intended for selecting anything. Begin/End are related to Enter/Leave events.